plugins management missing install option link

Get help from other users here.

Moderators: Developer, Contributor

Post Reply
mushu
Posts: 201
Joined: 04 Jan 2017, 17:41

plugins management missing install option link

Post by mushu »

(post moved from thread hijacking to new topic and edited)
Here is my v1.3.4 plugins screen, it is missing the "install" option link for the older adLogin plugin that I need. Note that Mantis "sees" the plugin but it is not functional. Also, the admin/check screen says that the "fileinfo" plugin is available but it doesn't appear in my plugins list. Where can I find it to manually install it? The adLogin plugin worked perfectly under Mantis 1.2 but seems to be broken under Mantis 1.3 now.

Attached is screenshot from Manage Plugins:
Attachments
mantis-plugins.jpg
mantis-plugins.jpg (172.14 KiB) Viewed 4582 times
atrol
Site Admin
Posts: 7919
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: plugins management missing install option link

Post by atrol »

Check line "Key" at the bottom of the page.
Red color means: "unmet dependencies"

Check column "Dependencies" in row "adLogin 1.01".
It is displayed in red color (unmet dependency) because it needs MantisBT Core 1.2.0, but you have installed MantisBT Core 1.3.0.

You have to contact the author of the plugin, if there is a version that works with MantisBT 1.3.0.
Please use Search before posting and read the Manual
mushu
Posts: 201
Joined: 04 Jan 2017, 17:41

Re: plugins management missing install option link

Post by mushu »

It's actually an "outdated" dependency, not unmet. The screenshot colors are sort of faded. Since it was only older I assumed it should still work.

What is the trigger that causes Mantis to show the "Install" link on that screen? The plugin code is only about a dozen lines; it's very simple.
atrol
Site Admin
Posts: 7919
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: plugins management missing install option link

Post by atrol »

mushu wrote:I
What is the trigger that causes Mantis to show the "Install" link on that screen?
Right dependency.
I don't have time to look at this plugin. I assume there is just a single line where you would have to change 1.2.0 to 1.3.0.
Something similar to what we have in our core plugins, e.g. https://github.com/mantisbt/mantisbt/bl ... ph.php#L37

Keep in mind that installing a plugin might change your installation in a way that it is no longer usable, and uninstalling might not work.
Thus I recommend a database backup before trying.
Please use Search before posting and read the Manual
mushu
Posts: 201
Joined: 04 Jan 2017, 17:41

Re: plugins management missing install option link

Post by mushu »

Woot it worked! Thank you! All I had to do was change "1.2.0" to "1.3.0" and the install link appeared and now it logs me in automagically. :D
Post Reply